Page MenuHomePhabricator

SpecialWhatLinksHere should have an edit link in each line
Closed, ResolvedPublic

Description

Comes from: https://www.mediawiki.org/wiki/Thread:Project:Support_desk/Special_Page:_What_links_here

It would be useful, if Special:WhatLinksHere has an edit link at each row, after "links", e.g.:
MediaWiki ‎(← links; edit)

instead of
MediaWiki ‎(← links)

Event Timeline

Florian created this task.Apr 27 2015, 5:32 AM
Florian updated the task description. (Show Details)
Florian raised the priority of this task from to Needs Triage.
Florian added a subscriber: Florian.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 27 2015, 5:32 AM

Change 206753 had a related patch set uploaded (by Florianschmidtwelzow):
Add edit link to each row on Special:WhatLinksHere

https://gerrit.wikimedia.org/r/206753

Aklapper triaged this task as Low priority.Apr 27 2015, 8:19 AM
Legoktm assigned this task to Florian.Jul 2 2015, 8:24 AM
Legoktm added a subscriber: Legoktm.
matmarex closed this task as Resolved.Jul 20 2015, 2:35 PM
matmarex removed a project: Patch-For-Review.
matmarex set Security to None.
matmarex removed a subscriber: wikibugs-l-list.

Change 206753 merged by jenkins-bot:
Add edit link to each row on Special:WhatLinksHere

https://gerrit.wikimedia.org/r/206753

Ricordisamoa added a subscriber: Ricordisamoa.

No, please. It's already cluttered enough.

No, please. It's already cluttered enough.

The list has only 3 elements per row (now), there are definitely other places with alot more things, and these are cluttered. But this lists looks pretty clean (my opinion) :)

The way such links are inserted makes almost impossible to disable them where they don't make sense, e.g. Wikibase entities.

MGChecker added a subscriber: MGChecker.
Restricted Application added a subscriber: Luke081515. · View Herald TranscriptJul 25 2015, 9:45 PM

Many thanks for this. It's made cleaning up after moves a lot easier.